Macro Draw 2D Function: Difference between revisions

From FreeCAD Documentation
(languages it)
(ajout de "|Icon=Text-x-python")
Line 1: Line 1:
{{Macro|Name=draw2DFunction|Description=Use it to draw a function described by a "equation" [z=F(x)] (Z-X plane)}}
{{Macro|Icon=Text-x-python|Name=draw2DFunction|Description=Use it to draw a function described by a "equation" [z=F(x)] (Z-X plane)}}


Use it to draw a function described by a "equation" [z=F(x)] (Z-X plane) The example done here generate a parabol.
Use it to draw a function described by a "equation" [z=F(x)] (Z-X plane) The example done here generate a parabol.

Revision as of 19:37, 25 December 2012

File:Text-x-python draw2DFunction

Description
Use it to draw a function described by a "equation" [z=F(x)] (Z-X plane)

Author
[[User:{{{Author}}}|{{{Author}}}]]
Download
None
Links
Macro Version
1.0
Date last modified
None
FreeCAD Version(s)
None
Default shortcut
None
See also
None

Use it to draw a function described by a "equation" [z=F(x)] (Z-X plane) The example done here generate a parabol.

Needs to be defined :

F=variable used in the function,

X=initial value of x,

Nb= Number of step,

Z=function express with x

ZZ=function express with xx


import FreeCAD, FreeCADGui, Part
import math
F=800
X=-500
Nb=10
Step=1000/Nb
Y=0
for I in range(Nb):
	XX=X+Step 
	Z=X*X/(4*F)
	ZZ=XX*XX/(4*F)
	if I==0:
		print "Le test est vrai !"
		nomme=Part.makeLine((X,Y,Z),(XX,Y,ZZ))
		WWire=Part.Wire([nomme])
	else :
		print "Le test est 2 !"
		nomme=Part.makeLine((X,Y,Z),(XX,Y,ZZ))		
		WWire=Part.Wire([WWire,nomme])
	X=XX 

Part.show(WWire)
Available translations of this page: